package com.nisum.omd;

import java.io.File;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.nisum.omd.domain.Order;

@SpringBootApplication
public class OmdCheckoutServiceApplication implements CommandLineRunner {
	
	@Autowired
	RandomDataGenerateImpl rdg;

	public static void main(String[] args) {
		SpringApplication.run(OmdCheckoutServiceApplication.class, args);
	}

	@Override
	public void run(String... args) throws Exception {
		// TODO Auto-generated method stub
		ObjectMapper objectMapper = new ObjectMapper();
		Order order = objectMapper.readValue(new File("src/main/resources/Order.json"), Order.class);
		
		for (int i=0; i< 100; i++) {
			order.setOrderNum(rdg.generateOrderNumber());
			order.setCustomerId(rdg.generateCustomerId());
			order.setLineItem(rdg.genetateLineItem());
			
		System.out.println(order);
		}
	}

}
